#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Module
%define		pnam	Signature
Summary:	Module::Signature - module signature file manipulation
Summary(pl.UTF-8):	Module::Signature - obróbka pliku sygnatury modułu
Name:		perl-Module-Signature
Version:	0.73
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	de27bbca948ba8a13a7f614414cb623d
URL:		http://search.cpan.org/dist/Module-Signature/
# gnupg or Crypt::OpenPGP
BuildRequires:	gnupg
%if %{with tests}
BuildRequires:	gnupg-plugin-keys_hkp
BuildRequires:	perl-Digest-SHA1
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::Signature adds cryptographic authentications to CPAN
distributions, via the special SIGNATURE file.

%description -l pl.UTF-8
Module::Signature dodaje uwierzytelnianie kryptograficzne do
dystrybucji CPAN poprzez specjalny plik SIGNATURE.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo n | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	--skipdeps

%{__make}

%if %{with tests}
# ugly?
mkdir -p ~/.gnupg
%{__make} test
%endif 

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes README
%attr(755,root,root) %{_bindir}/cpansign
%{perl_vendorlib}/Module/Signature.pm
%{_mandir}/man1/cpansign.1p*
%{_mandir}/man3/Module::Signature.3pm*
%changelog
* Sun Jun 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Module-Signature.git;a=log;h=master

* Sun Jun 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 010d40c
- updated to 0.73

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 7dde9e7
- up to 0.68

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 605e323
- generic URL

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> e17fd0b
- up to 0.55

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c1f887c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> daf3cdc
- converted to UTF-8

* Fri Aug 25 2006 Jakub Bogusz <qboosh@pld-linux.org> fb2f8bb
- more

* Fri Aug 25 2006 ankry <ankry@pld-linux.org> 6d1b801
- reflect last change in comment

* Fri Aug 25 2006 radek <radek@pld-linux.org> 7d00a24
- tests off by default (use network)

* Fri Aug 25 2006 radek <radek@pld-linux.org> d70e7cf
- BR: gnupg-plugin-keys_hkp for tests

* Sun Feb 26 2006 Maciej Pijanka <agaran@pld-linux.org> 958e93b
- updated to 0.53 rel 1

* Fri Jan 07 2005 Adam Gołębiowski <adamg@pld-linux.org> 03563ff
- release 3 (for fixed deps on ac-i386)

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> 30e7bb9
- release 2

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> daa1d9e
- make sure ~/.gnupg exists before performing tests (fails otherwise)

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> e6924e4
- updated to 0.44

* Wed Dec 01 2004 radek <radek@pld-linux.org> c84fdca
- autoupdated to 0.42

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 39f667d
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 54fce50
- updated to 0.41

* Fri May 07 2004 ankry <ankry@pld-linux.org> 85baa37
- rel. 2

* Sat Apr 24 2004 ankry <ankry@pld-linux.org> fe8e9af
- license fixes / unification

